from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XShapeBinder(XInterface, Protocol):
    def bind(self, xShapes: XShapes) -> XShape: ...
    def unbind(self, xShape: XShape) -> None: ...
